Bug 88755 - Upgrade from 8.0 current to 9.0 does not upgrade sendmail which then has problem with OpenSSL
Upgrade from 8.0 current to 9.0 does not upgrade sendmail which then has prob...
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-04-13 02:29 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-18 16:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-13 02:29:14 EDT
Description of problem:
If sendmail in RH8 has been upgraded to 8.12.8-5.80, the installer will not
install the older sendmail 8.12.8-4.90 included with RH9.  Sendmail 8.12.8-5.80
then has problems finding an ssl library it can use.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install 8.0
2.  Upgrade sendmail to 8.12.8-5.80
3.  Do an upgrade install of RH9
Actual results:
Sendmail fails to start at boot and with subsequent "service sendmail start"

Expected results:
Sendmail runs at startup

Additional info:
Manual fix is to "rpm -e sendmail" and then "rpm -ivh
sendmail-8.12.8-4.i396.rpm" from RH9.
Comment 1 Jeremy Katz 2003-05-16 17:29:39 EDT
Can you show the output of what happens when you try to start sendmail, `rpm -qa
|grep sendmail`, and `rpm -qa |grep openssl`?
Comment 2 Michael Fulbright 2003-06-18 16:48:11 EDT
Closing due to inactivity - please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.